### Function

# ECal util_generate_alarms_for_comp

#### Declaration [src]

    ECalComponentAlarms*
    e_cal_util_generate_alarms_for_comp (
      ECalComponent* comp,
      time_t start,
      time_t end,
      ECalComponentAlarmAction* omit,
      ECalRecurResolveTimezoneCb resolve_tzid,
      gpointer user_data,
      ICalTimezone* default_timezone
    )

#### Description [src]

Generates alarm instances for a calendar component. Returns the instances structure, or `NULL` if no alarm instances occurred in the specified time range. Free the returned structure with e_cal_component_alarms_free(), when no longer needed.

See e_cal_util_generate_alarms_for_uid_sync().

#### Parameters

`comp`

  Type: `ECalComponent`

  The `ECalComponent` to generate alarms from.

  The data is owned by the caller of the function.

`start`

  Type: `time_t`

  Start time.

`end`

  Type: `time_t`

  End time.

`omit`

  Type: `ECalComponentAlarmAction`

  Alarm types to omit.

  The data is owned by the caller of the function.

`resolve_tzid`

  Type: `ECalRecurResolveTimezoneCb`

  Callback for resolving timezones.

`user_data`

  Type: `gpointer`

  Data to be passed to the resolve_tzid callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`default_timezone`

  Type: `None`

  The timezone used to resolve DATE and floating DATE-TIME values.

  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentAlarms`

A list of all the alarms found for the given component in the given time range.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.